﻿namespace RPG.GameCore.Excel.Attributes;

[AttributeUsage(AttributeTargets.Class)]
internal class ExcelTableAttribute : Attribute
{
    public string Path { get; }
    public ExcelType Type { get; }

    public ExcelTableAttribute(string path, ExcelType type)
    {
        Path = path;
        Type = type;
    }
}
