﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using RPG.GameCore.Excel.Attributes;

namespace RPG.GameCore.Excel;

[ExcelTable("MainMissionExcelTable.json", ExcelType.MainMission)]
public class MainMissionRow : ExcelRow
{
    public override uint Id => MainMissionID;

    public uint MainMissionID { get; set; }
    public string Type { get; set; } = string.Empty;
    public bool IsLoop { get; set; }
    public List<uint> NextMainMissionList { get; set; } = [];
    public string TakeType { get; set; } = string.Empty;
    public uint TakeParamInt1 { get; set; }
    public List<uint> TakeParamIntList { get; set; } = [];
    public string BeginType { get; set; } = string.Empty;
    public uint BeginParamInt1 { get; set; }
    public List<uint> BeginParamIntList { get; set; } = [];
    public List<uint> StartSubMissionList { get; set; } = [];
    public List<uint> FinishSubMissionList { get; set; } = [];
    public uint NextTrackMainMission { get; set; }
    public uint TrackWeight { get; set; }
    public bool IsShowStartHint { get; set; }
    public bool IsShowFinishHint { get; set; }
    public int RewardID { get; set; }
    public int DisplayRewardID { get; set; }
}
