﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class AdventureModule : BaseModule
{
    [OnCommand(CmdType.CmdGetCurSceneInfoCsReq)]
    public Task OnCmdGetCurSceneInfoCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetCurSceneInfoScRsp, new GetCurSceneInfoScRsp
        {
            Retcode = 0,
            Scene = new SceneInfo
            {
                PlaneId = 20121,
                FloorId = 20121001,
                EntryId = 2012101,
                EntityList = { },
                LeaderEntityId = 0
            }
        });

        return Task.CompletedTask;
    }
}
