﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class ShopModule : BaseModule
{
    [OnCommand(CmdType.CmdGetShopListCsReq)]
    public Task OnCmdGetShopListCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetShopListScRsp, new GetShopListScRsp
        {
            Retcode = 0
        });

        return Task.CompletedTask;
    }
}
