﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class InventoryModule : BaseModule
{
    [OnCommand(CmdType.CmdGetBagCsReq)]
    public Task OnCmdGetBagCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetBagScRsp, new GetBagScRsp
        {
            Retcode = 0,
            EquipmentList = { },
            MaterialList = { }
        });

        return Task.CompletedTask;
    }
}
