﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class QuestModule : BaseModule
{
    [OnCommand(CmdType.CmdGetQuestDataCsReq)]
    public Task OnCmdGetQuestDataCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetQuestDataScRsp, new GetQuestDataScRsp
        {
            Retcode = 0,
            QuestList = { }
        });

        return Task.CompletedTask;
    }
}
