﻿using RPG.Network.Proto;
using RPG.Services.Gameserver.Modules.Attributes;
using RPG.Services.Gameserver.Session;

namespace RPG.Services.Gameserver.Modules;
internal class TutorialModule : BaseModule
{
    [OnCommand(CmdType.CmdGetTutorialCsReq)]
    public Task OnCmdGetTutorialCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetTutorialScRsp, new GetTutorialScRsp
        {
            Retcode = 0,
            TutorialList = { }
        });

        return Task.CompletedTask;
    }

    [OnCommand(CmdType.CmdGetTutorialGuideCsReq)]
    public Task OnCmdGetTutorialGuideCsReq(PlayerSession session, ReadOnlyMemory<byte> _)
    {
        Send(session, CmdType.CmdGetTutorialGuideScRsp, new GetTutorialGuideScRsp
        {
            Retcode = 0,
            TutorialGuideList = { }
        });

        return Task.CompletedTask;
    }
}
