﻿using RPG.GameCore.Excel;
using RPG.Services.Core;

namespace RPG.Services.Gameserver;
internal class RPGGameserver : RPGServiceBase
{
    private readonly ExcelTables _excelTables;

    public RPGGameserver(ServiceManager serviceManager, ExcelTables excelTables) : base(serviceManager)
    {
        _excelTables = excelTables;
    }

    public override async Task StartAsync(CancellationToken cancellationToken)
    {
        _excelTables.Load();
        await base.StartAsync(cancellationToken);
    }
}
